OpenNMS API 1.2.9

## org.opennms.web.eventconf.bobject
Class MaskElement

    java.lang.Object
      org.opennms.web.eventconf.bobject.MaskElement

All Implemented Interfaces:
  java.lang.Cloneable

Deprecated. Replaced by a Castor-generated implementation.

public class MaskElement
extends java.lang.Object
implements java.lang.Cloneable

This is a data class for storing mask elements for the <mask>tag of an event configuration.

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS
See Also:
  `Maskelement`

Field Summary
`static java.lang.String[]` `ELEMENT_NAME_VALUES` Deprecated.
`private java.lang.String` `m_elementName` Deprecated.
`private java.util.List` `m_elementValues` Deprecated.

Constructor Summary
`MaskElement()` Deprecated. Default constructor, intializes the member variables.

Method Summary
`void` `addElementValue(java.lang.String value)` Deprecated.
`java.lang.Object` `clone()` Deprecated.
`java.lang.String` `getElementName()` Deprecated.
`java.util.List` `getElementValues()` Deprecated.
`void` `setElementName(java.lang.String name)` Deprecated.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT_NAME_VALUES

    public static final java.lang.String[] ELEMENT_NAME_VALUES

  Deprecated.

### m_elementName

    private java.lang.String m_elementName

  Deprecated.

### m_elementValues

    private java.util.List m_elementValues

  Deprecated.

Constructor Detail

### MaskElement

    public MaskElement()

  Deprecated.
  Default constructor, intializes the member variables.

Method Detail

### clone

    public java.lang.Object clone()

  Deprecated.

### setElementName

    public void setElementName(java.lang.String name)

  Deprecated.

### getElementName

    public java.lang.String getElementName()

  Deprecated.

### addElementValue

    public void addElementValue(java.lang.String value)

  Deprecated.

### getElementValues

    public java.util.List getElementValues()

  Deprecated.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.